JmolScriptEvaluator
Date: 2019-10-22

org.jmol.api

## Interface JmolScriptEvaluator

- All Known Implementing Classes:
    ScriptError, ScriptEval, ScriptExpr, ScriptParam

      public interface JmolScriptEvaluator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScriptContext` | `checkScriptSilent(java.lang.String strScript)`
    `boolean` | `checkSelect(java.util.Map<java.lang.String,SV> h, T[] where)`
    `boolean` | `compileScriptFile(java.lang.String strScript, boolean isQuiet)`
    `boolean` | `compileScriptString(java.lang.String strScript, boolean isQuiet)`
    `void` | `deleteAtomsInVariables(javajs.util.BS bsDeleted)`
    `float` | `evalFunctionFloat(java.lang.Object func, java.lang.Object params, float[] values)`
    `boolean` | `evalParallel(ScriptContext context, ShapeManager shapeManager)`
    `void` | `evaluateCompiledScript(boolean isSyntaxCheck, boolean isSyntaxAndFileCheck, boolean historyDisabled, boolean listCommands, javajs.util.SB outputBuffer, boolean allowThreads)`
    `java.lang.Object` | `evaluateExpression(java.lang.Object stringOrTokens, boolean asVariable, boolean compileOnly)`
    `boolean` | `getAllowJSThreads()`
    `javajs.util.BS` | `getAtomBitSet(java.lang.Object atomExpression)`
    `java.lang.String` | `getErrorMessage()`
    `java.lang.String` | `getErrorMessageUntranslated()`
    `java.lang.String` | `getNextStatement()`
    `java.lang.String` | `getScript()`
    `ScriptContext` | `getScriptContext(java.lang.String why)`
    `ScriptContext` | `getThisContext()`
    `void` | `haltExecution()`
    `boolean` | `isExecuting()`
    `boolean` | `isPaused()`
    `boolean` | `isStateScript()`
    `boolean` | `isStepping()`
    `boolean` | `isStopped()`
    `void` | `loadFileResourceAsync(java.lang.String fileName)`
    `void` | `notifyResumeStatus()`
    `void` | `pauseExecution(boolean b)`
    `void` | `pushContextDown(java.lang.String why)`
    `void` | `resumeEval(java.lang.Object sc)`
    `void` | `resumePausedExecution()`
    `void` | `runScript(java.lang.String script)`
    `void` | `runScriptBuffer(java.lang.String string, javajs.util.SB outputBuffer, boolean isFuncReturn)`
    `void` | `setCompiler()`
    `void` | `setDebugging()`
    `java.lang.String` | `setObjectPropSafe(java.lang.String id, int tokCommand)`
    `int` | `setStatic(int tok, int value)`
    `JmolScriptEvaluator` | `setViewer(Viewer vwr)`
    `void` | `stepPausedExecution()`
    `void` | `stopScriptThreads()`

- - ### Method Detail

    - #### setViewer

          JmolScriptEvaluator setViewer(Viewer vwr)

    - #### getThisContext

          ScriptContext getThisContext()

    - #### pushContextDown

          void pushContextDown(java.lang.String why)

    - #### resumeEval

          void resumeEval(java.lang.Object sc)

    - #### getAllowJSThreads

          boolean getAllowJSThreads()

    - #### setCompiler

          void setCompiler()

    - #### getAtomBitSet

          javajs.util.BS getAtomBitSet(java.lang.Object atomExpression)

    - #### isStopped

          boolean isStopped()

    - #### notifyResumeStatus

          void notifyResumeStatus()

    - #### isPaused

          boolean isPaused()

    - #### getNextStatement

          java.lang.String getNextStatement()

    - #### resumePausedExecution

          void resumePausedExecution()

    - #### stepPausedExecution

          void stepPausedExecution()

    - #### pauseExecution

          void pauseExecution(boolean b)

    - #### isExecuting

          boolean isExecuting()

    - #### haltExecution

          void haltExecution()

    - #### compileScriptFile

          boolean compileScriptFile(java.lang.String strScript,
                                    boolean isQuiet)

    - #### compileScriptString

          boolean compileScriptString(java.lang.String strScript,
                                      boolean isQuiet)

    - #### getErrorMessage

          java.lang.String getErrorMessage()

    - #### getErrorMessageUntranslated

          java.lang.String getErrorMessageUntranslated()

    - #### checkScriptSilent

          ScriptContext checkScriptSilent(java.lang.String strScript)

    - #### getScript

          java.lang.String getScript()

    - #### setDebugging

          void setDebugging()

    - #### isStepping

          boolean isStepping()

    - #### getScriptContext

          ScriptContext getScriptContext(java.lang.String why)

    - #### evaluateExpression

          java.lang.Object evaluateExpression(java.lang.Object stringOrTokens,
                                              boolean asVariable,
                                              boolean compileOnly)

    - #### deleteAtomsInVariables

          void deleteAtomsInVariables(javajs.util.BS bsDeleted)

    - #### evalParallel

          boolean evalParallel(ScriptContext context,
                               ShapeManager shapeManager)

    - #### runScript

          void runScript(java.lang.String script)
                  throws ScriptException

      Throws:
        `ScriptException`

    - #### runScriptBuffer

          void runScriptBuffer(java.lang.String string,
                               javajs.util.SB outputBuffer,
                               boolean isFuncReturn)
                        throws ScriptException

      Throws:
        `ScriptException`

    - #### evalFunctionFloat

          float evalFunctionFloat(java.lang.Object func,
                                  java.lang.Object params,
                                  float[] values)

    - #### evaluateCompiledScript

          void evaluateCompiledScript(boolean isSyntaxCheck,
                                      boolean isSyntaxAndFileCheck,
                                      boolean historyDisabled,
                                      boolean listCommands,
                                      javajs.util.SB outputBuffer,
                                      boolean allowThreads)

    - #### setObjectPropSafe

          java.lang.String setObjectPropSafe(java.lang.String id,
                                             int tokCommand)

    - #### stopScriptThreads

          void stopScriptThreads()

    - #### isStateScript

          boolean isStateScript()

    - #### checkSelect

          boolean checkSelect(java.util.Map<java.lang.String,SV> h,
                              T[] where)

    - #### loadFileResourceAsync

          void loadFileResourceAsync(java.lang.String fileName)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setStatic

          int setStatic(int tok,
                        int value)